Arvados - Feature #16718

Searching past collection versions
08/17/2020 02:33 PM - Peter Amstutz

Status: Resolved Start date: 10/13/2020
Priority: Normal Due date:

Assigned To: Lucas Di Pentima % Done: 100%
Category: Workbench2 Estimated time: 0.00 hour
Target version: 2020-10-21 Sprint

Description

e When entering a portable data hash into the search bar or otherwise navigating to a collection PDH, the display should include
past versions. They should be labeled as "past versions".
e Add a "include past versions" checkbox to the advanced search which also allows the user to search past versions

Subtasks:
Task # 16755: Review 16718-group-contents-collection-versions (arvados repo) & 16718-pa... Resolved

Related issues:
Related to Arvados - Story #13494: Browse previous versions of a collection Resolved 02/19/2020

Associated revisions

Revision dad333f8 - 10/19/2020 08:56 PM - Lucas Di Pentima

Merge branch '16718-group-contents-collection-versions'. Refs #16718

Arvados-DCO-1.1-Signed-off-by: Lucas Di Pentima <lucas@di-pentima.com.ar>

Revision 970a9e9d - 10/19/2020 09:00 PM - Lucas Di Pentima

Merge branch '16718-past-collection-versions-search'
Closes #16718

Arvados-DCO-1.1-Signed-off-by: Lucas Di Pentima <lucas@di-pentima.com.ar>

History

#1 - 08/17/2020 02:36 PM - Peter Amstutz

- Description updated

#2 - 08/17/2020 02:38 PM - Peter Amstutz

- Related to Story #13494: Browse previous versions of a collection added

#3 - 08/17/2020 03:13 PM - Peter Amstutz
- Description updated

- Subject changed from Search by portable data hash finds past versions to Searching past collection versions

#4 - 08/17/2020 03:13 PM - Peter Amstutz
- Target version set to 2020-08-26 Sprint

- Tracker changed from Bug to Feature

#5 - 08/17/2020 03:20 PM - Peter Amstutz

- Assigned To set to Lucas Di Pentima

#6 - 08/26/2020 03:32 PM - Lucas Di Pentima
- Target version changed from 2020-08-26 Sprint to 2020-09-09 Sprint

#7 - 09/09/2020 02:16 PM - Lucas Di Pentima
- Target version changed from 2020-09-09 Sprint to 2020-09-23 Sprint
#8 - 09/23/2020 03:19 PM - Lucas Di Pentima
- Target version changed from 2020-09-23 Sprint to 2020-10-07 Sprint

#9 - 10/01/2020 08:14 PM - Lucas Di Pentima

- Status changed from New to In Progress

#10 - 10/07/2020 02:00 PM - Peter Amstutz
- Target version changed from 2020-10-07 Sprint to 2020-10-21 Sprint

#11 - 10/13/2020 03:26 PM - Lucas Di Pentima
Updates at:

° 4811
o Branch: 16718-group-contents-collection-versions
o Test run: https:/ci.arvados.org/job/developer-run-tests/2135/
® arv -workbench2|25205bf
o Branch: 16718-past-collection-versions-search
o Test run: https:/ci.arvados.org/view/Developer/job/developer-tests-workbench2/125/

Adds include_old_versions param to groups#contents endpoint, with documentation and tests.
¢ Adds support for said param on wb2's search Ul, with tests.

¢ Removes redundant column on wb2's search results and makes the layout a bit more compact.

#12 - 10/19/2020 09:48 PM - Anonymous

- Status changed from In Progress to Resolved

Applied in changeset arv -workbench?2|97 2a444d02181c4df3f2

#13 - 11/16/2020 10:08 PM - Peter Amstutz
- Release changed from 31 to 36
